# Uses of Class
org.eclipse.ui.texteditor.ITextEditorExtension3.InsertMode

Packages that use ITextEditorExtension3.InsertMode
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of ITextEditorExtension3.InsertMode in org.eclipse.ui.texteditor

Fields in org.eclipse.ui.texteditor declared as ITextEditorExtension3.InsertMode
Modifier and Type
Field
Description
`static final ITextEditorExtension3.InsertMode`
ITextEditorExtension3.`INSERT`
Represents the non-smart insert mode.
`static final ITextEditorExtension3.InsertMode`
ITextEditorExtension3.`SMART_INSERT`
Represents the smart insert mode.
Methods in org.eclipse.ui.texteditor that return ITextEditorExtension3.InsertMode
Modifier and Type
Method
Description
`ITextEditorExtension3.InsertMode`
AbstractTextEditor.`getInsertMode()`
`ITextEditorExtension3.InsertMode`
ITextEditorExtension3.`getInsertMode()`
Returns the current input mode of this editor.
Methods in org.eclipse.ui.texteditor that return types with arguments of type ITextEditorExtension3.InsertMode
Modifier and Type
Method
Description
`protected List<ITextEditorExtension3.InsertMode>`
AbstractTextEditor.`getLegalInsertModes()`
Returns the set of legal insert modes.
Methods in org.eclipse.ui.texteditor with parameters of type ITextEditorExtension3.InsertMode
Modifier and Type
Method
Description
`protected void`
AbstractTextEditor.`configureInsertMode(ITextEditorExtension3.InsertMode mode, boolean legal)`
Configures the given insert mode as legal or illegal.
`void`
AbstractTextEditor.`setInsertMode(ITextEditorExtension3.InsertMode newMode)`
`void`
ITextEditorExtension3.`setInsertMode(ITextEditorExtension3.InsertMode mode)`
Sets the insert mode of this editor.